> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v3files

> Uploads a given file and returns its internal ID.



## OpenAPI

````yaml /lumx_openapi.yaml post /v3/files/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/files/:
    post:
      tags:
        - files
      description: Uploads a given file and returns its internal ID.
      operationId: files_create
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/FileUpload'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/FileUpload'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileResponse'
          description: ''
components:
  schemas:
    FileUpload:
      type: object
      properties:
        document_type:
          allOf:
            - $ref: '#/components/schemas/DocumentTypeEnum'
          description: >-
            Type of the uploaded user document. Legacy misspellings of
            remote-controllability types are accepted and normalized.


            * `initial_assignment` - Erstzuordnung

            * `initial_assignment_agreement` - Vollmacht zur Erstzuordnung

            * `remote_controllability_agreement` - FST-Vollmacht

            * `remote_controllabilty_agreement` - FST-Vollmacht

            * `remote_controllability_declaration` - FST-Erklärung

            * `remote_controllabilty_declaration` - FST-Erklärung

            * `remote_controllability_protocol` - FST-Protokoll

            * `remote_controllabilty_protocol` - FST-Protokoll

            * `remote_controllability_proof` - FST-Nachweis

            * `remote_controllabilty_proof` - FST-Nachweis

            * `installation_receipt` - Einbaubeleg
        file:
          type: string
          format: uri
          description: >-
            Document file. Accepted file types are pdf, jpg, png, heic; accepted
            extensions are .pdf, .jpg, .jpeg, .png, .heic. The file content type
            and extension must match.
      required:
        - document_type
        - file
    FileResponse:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
      required:
        - id
    DocumentTypeEnum:
      enum:
        - initial_assignment
        - initial_assignment_agreement
        - remote_controllability_agreement
        - remote_controllabilty_agreement
        - remote_controllability_declaration
        - remote_controllabilty_declaration
        - remote_controllability_protocol
        - remote_controllabilty_protocol
        - remote_controllability_proof
        - remote_controllabilty_proof
        - installation_receipt
      type: string
      description: |-
        * `initial_assignment` - Erstzuordnung
        * `initial_assignment_agreement` - Vollmacht zur Erstzuordnung
        * `remote_controllability_agreement` - FST-Vollmacht
        * `remote_controllabilty_agreement` - FST-Vollmacht
        * `remote_controllability_declaration` - FST-Erklärung
        * `remote_controllabilty_declaration` - FST-Erklärung
        * `remote_controllability_protocol` - FST-Protokoll
        * `remote_controllabilty_protocol` - FST-Protokoll
        * `remote_controllability_proof` - FST-Nachweis
        * `remote_controllabilty_proof` - FST-Nachweis
        * `installation_receipt` - Einbaubeleg

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.